SecondaryIndexSearcher (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.index
Class SecondaryIndexSearcher

    java.lang.Object
      org.apache.cassandra.db.index.SecondaryIndexSearcher

Direct Known Subclasses:
  KeysSearcher

    public abstract class SecondaryIndexSearcher

extends java.lang.Object

Field Summary
`protected ColumnFamilyStore` | `baseCfs`
`protected java.util.Set<java.nio.ByteBuffer>` | `columns`
`protected SecondaryIndexManager` | `indexManager`

Constructor Summary
`SecondaryIndexSearcher(SecondaryIndexManager indexManager, java.util.Set<java.nio.ByteBuffer> columns)`

Method Summary
`NamesQueryFilter` | `getExtraFilter(IndexClause clause)`
`static boolean` | `satisfies(ColumnFamily data, IndexClause clause, IndexExpression first)`
`static boolean` | `satisfies(int comparison, IndexOperator op)`
`abstract java.util.List<Row>` | `search(IndexClause clause, AbstractBounds range, IFilter dataFilter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### indexManager

    protected SecondaryIndexManager indexManager

### columns

    protected java.util.Set<java.nio.ByteBuffer> columns

### baseCfs

    protected ColumnFamilyStore baseCfs

Constructor Detail

### SecondaryIndexSearcher

    public SecondaryIndexSearcher(SecondaryIndexManager indexManager,
                                  java.util.Set<java.nio.ByteBuffer> columns)

Method Detail

### satisfies

    public static boolean satisfies(ColumnFamily data,
                                    IndexClause clause,
                                    IndexExpression first)

### satisfies

    public static boolean satisfies(int comparison,
                                    IndexOperator op)

### getExtraFilter

    public NamesQueryFilter getExtraFilter(IndexClause clause)

### search

    public abstract java.util.List<Row> search(IndexClause clause,
                                               AbstractBounds range,
                                               IFilter dataFilter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation